@import url('https://fonts.googleapis.com/css?family=Lato');

$themecolor: rgb(9, 92, 195);
$header-height: 100px;
$footer-height: 80px;

.header {
  height: $header-height;
  background: $themecolor;
  padding: 20px 10px 20px 10px;
  color: white;
  font-family: 'Lato', serif;
  box-shadow: 0 10px 20px rgba(0, 0, 0, 0.19);

  .title {
    font-size: 16px;
  }

  .rating-block {
    display: inline;
    width: fit-content;
    border-radius: 10px;
    height: 20px;
    padding: 0 5px 3px 5px;
    background: rgb(0, 122, 225);

    .rating {
      display: inline-block;
      margin: 0;
      font-size: 10px;
      line-height: 10px;
    }

    .star {
      display: inline-block;
      height: 10px;
      width: 10px;
      background: url("../img/star.svg");
      background-size: contain;

      &.chosen {
        background: url("../img/star-chosen.svg");
        background-size: contain;
      }
    }
  }

  .reviews {
    display: inline;
    color: white;
    font-size: 10px;
    line-height: 20px;
    margin: 0 0 0 5px;
  }
}

.content {
  font-family: 'Lato', serif;
  min-height: calc(100vh - 180px);

  .title {
    text-align: center;
    font-size: 24px;
  }

  .screen-1 {
    padding: calc(50vh - 195px) 10px 50px 10px;
  }

  .screen-2 {
    display: none;
    padding: calc(50vh - 270px) 10px 50px 10px;

    .description {
      text-align: center;
      font-size: 16px;
    }

    .direct-reply {
      margin-top: 15px;
    }

    .reset {
      cursor: pointer;
      transition: 0.2s;
      text-decoration: underline;

      &:hover {
        color: $themecolor;
      }
    }
  }

  .rating-wrapper {
    text-align: center;

    .value {
      margin-top: 12px;
      font-size: 14px;
    }
  }

  .rating {
    display: inline-flex;
    width: fit-content;
    height: 40px;

    &:hover > .star {
      background: url("../img/star-yellow.svg") no-repeat center;
      background-size: 30px;
    }

    .star:hover ~ .star {
      background: url("../img/star.svg") no-repeat center;
      background-size: 30px;
    }

    .star {
      cursor: pointer;
      display: inline-block;
      height: 40px;
      width: 40px;
      background: url("../img/star.svg") no-repeat center;
      background-size: 30px;

      &.rated {
        background: url("../img/star-yellow.svg") no-repeat center;
        background-size: 30px;
      }
    }
  }

  .button-wrapper {
    width: 100%;
    text-align: center;
  }

  .button {
    display: inline-block;
    margin-bottom: 18px;
    max-width: 370px;
    transition: 0.2s;
    cursor: pointer;
    width: 100%;
    border: none;
    background: $themecolor;
    text-align: center;
    color: white;
    height: 50px;
    font-size: 14px;
    line-height: 14px;
    padding: 18px;
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.19);

    &.vk {
      background: #5b88bd url("../img/vk.svg") center left 18px no-repeat;
      background-size: 24px;
    }

    &.google-play {
      color: black;
      background: white url("../img/google-play.svg") center left 18px no-repeat;
      background-size: 24px;
    }

    &.app-store {
      background: black url("../img/app-store.svg") center left 18px no-repeat;
      background-size: 24px;
    }

    &:hover {
      box-shadow: 0 10px 20px rgba(0, 0, 0, 0.29);
    }
  }
}

.footer {
  padding: 20px 10px 20px 10px;
  height: $footer-height;
  background: #ebebeb;
  font-family: 'Lato', serif;

  .copyright {
    line-height: 20px;
    margin: 0;
    text-align: center;
    font-size: 14px;
  }

  .links {
    margin: 0;
    text-align: center;

    a {
      line-height: 20px;
      color: black;
      font-size: 14px;
    }
  }
}